Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
loglog.h File Reference

## Classes
class | LogLog
| This class used to output log statements from within the log4cxx package. More...

## Namespaces
| log4cxx
| log4cxx::helpers

## Macros
#define | LOGLOG_DEBUG(log)
#define | LOGLOG_WARN(log)
#define | LOGLOG_ERROR(log)

## Macro Definition Documentation

#define LOGLOG_DEBUG | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::debug(log) ; }
log4cxx::helpers::LogLog::debug
static void debug(const LogString &msg)
This method is used to output log4cxx internal debug statements.

#define LOGLOG_ERROR | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::warn(log); }
log4cxx::helpers::LogLog::warn
static void warn(const LogString &msg)
This method is used to output log4cxx internal warning statements.

#define LOGLOG_WARN | ( |  | log | ) |

Value:
{ \
log4cxx::helpers::LogLog::warn(log) ; }
log4cxx::helpers::LogLog::warn
static void warn(const LogString &msg)
This method is used to output log4cxx internal warning statements.